io.vertx.redis.op

## Class SortOptions

- java.lang.Object
- - io.vertx.redis.op.SortOptions

-     public class SortOptions
      extends Object

  Author:
    Marko Strukelj

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SortOptions` | `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortOptions()`
    `SortOptions(JsonObject obj)`
    `SortOptions(SortOptions obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortOptions` | `addGet(String pattern)`
    `SortOptions` | `setAlpha(Boolean alpha)`
    `SortOptions` | `setBy(String pattern)`
    `SortOptions` | `setDescending(Boolean descending)`
    `SortOptions` | `setLimit(long offset, long count)`
    `SortOptions` | `setStore(String store)`
    `JsonObject` | `toJson()`
    `JsonArray` | `toJsonArray()`
    `SortOptions` | `useAlpha()` Deprecated. use `setAlpha(Boolean)` instead
    `SortOptions` | `useDescending()` Deprecated. use `setDescending(Boolean)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final SortOptions NONE

  - ### Constructor Detail

    - #### SortOptions

          public SortOptions()

    - #### SortOptions

          public SortOptions(SortOptions obj)

    - #### SortOptions

          public SortOptions(JsonObject obj)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### setLimit

          public SortOptions setLimit(long offset,
                                      long count)

    - #### setBy

          public SortOptions setBy(String pattern)

    - #### addGet

          public SortOptions addGet(String pattern)

    - #### setDescending

          public SortOptions setDescending(Boolean descending)

    - #### useDescending

          @Deprecated
          public SortOptions useDescending()

      Deprecated. use `setDescending(Boolean)` instead

    - #### setAlpha

          public SortOptions setAlpha(Boolean alpha)

    - #### useAlpha

          @Deprecated
          public SortOptions useAlpha()

      Deprecated. use `setAlpha(Boolean)` instead

    - #### setStore

          public SortOptions setStore(String store)

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2018 Eclipse. All rights reserved.